Subject: [os2genau_digest] No. 779
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 16 Jan 2004 00:01:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 15 January 2004
 Number  779
**************************************************

Subjects for today
 
1   CRLF/LF conversion between OS/2<->Linux : Daryl Pilkington <u3232 at home.dialix dot com>
2  Re:  CRLF/LF conversion between OS/2<->Linux : Ian Manners" <deadmail>
3  Re:  CRLF/LF conversion between OS/2<->Linux : Voytek <voytek at sbt dot net dot au>
4  Re:  CRLF/LF conversion between OS/2<->Linux : Daryl Pilkington <u3232 at home.dialix dot com>

**= Email   1 ==========================**

Date:  Thu, 15 Jan 2004 15:44:16 +1100
From:  Daryl Pilkington <u3232 at home.dialix dot com>
Subject:   CRLF/LF conversion between OS/2<->Linux

Hi All,
What tools are available to painlessly do a text-file conversion between 
the 2 systems so I can edit a Linux ks.cfg file on an OS/2 box & yet 
still have it read properly on a Linux box?

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 15 Jan 2004 16:04:09 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  CRLF/LF conversion between OS/2<->Linux

FTP in over after using e, ee, eee, epm :-)

Works fine for AIX anyway, and FTPing removes the extended attribute
rubbish.

If the end of line is causing problems you could use flip (flip -u filename.cfg)
available here:-

http://www.os2site dot com/sw/util/file/flip1os2.zip

Plenty of other utilities also available to do the same thing.

On Thu, 15 Jan 2004 15:44:16 +1100, Daryl Pilkington wrote:

> Hi All,
> What tools are available to painlessly do a text-file conversion between 
> the 2 systems so I can edit a Linux ks.cfg file on an OS/2 box & yet 
> still have it read properly on a Linux box?
> 

>  

Cheers
Ian Manners
http://www.os2site dot com/

Aha, just what I need! A coffeemaker that fits a 5.25-inch slot!
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 15 Jan 2004 16:12:24
From:  Voytek <voytek at sbt dot net dot au>
Subject:  Re:  CRLF/LF conversion between OS/2<->Linux

** Reply to note from Daryl Pilkington <u3232 at home.dialix dot com> Thu, 15 Jan 2004 15:44:16 +1100

> What tools are available to painlessly do a text-file conversion between  
> the 2 systems so I can edit a Linux ks.cfg file on an OS/2 box & yet  
> still have it read properly on a Linux box?

#unix2dos - UNIX to DOS text file format converter
#dos2unix - DOS/MAC to UNIX text file format converter

The Graham Integrator ÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍÍ

ToUNIX - Convert OS/2 text to UNIX text files

Usage: ToUNIX <File In> [File Out]

ToUNIX reads text files from OS/2 systems and
converts them to UNIX text files.
UNIX systems use a Line Feed character as the end
of line character DOS text files use a Carriage
Return and Line Feed character pair as the end of
line marker.

Example

ToUNIX NEWUNZIP.DOC UNZIP.DOC

ToUNIX will convert the DOS text file
NEWUNZIP.DOC to the UNIX text file UNZIP.DOC.

This is the complement program to FromUNIX.

---

though, is there really a need to do so ?

Voytek Eymont
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 15 Jan 2004 16:38:46 +1100
From:  Daryl Pilkington <u3232 at home.dialix dot com>
Subject:  Re:  CRLF/LF conversion between OS/2<->Linux

Ian Manners wrote:

> FTP in over after using e, ee, eee, epm :-)
> 
> Works fine for AIX anyway, and FTPing removes the extended attribute
> rubbish.
> 
> If the end of line is causing problems you could use flip (flip -u filename.cfg)
> available here:-
> 
> http://www.os2site dot com/sw/util/file/flip1os2.zip
> 
> Plenty of other utilities also available to do the same thing.
> 
> 
> On Thu, 15 Jan 2004 15:44:16 +1100, Daryl Pilkington wrote:
> 
> 
>>Hi All,
>>What tools are available to painlessly do a text-file conversion between 
>>the 2 systems so I can edit a Linux ks.cfg file on an OS/2 box & yet 
>>still have it read properly on a Linux box?
>>
Thanks Ian,
You solution is probably simpler, if I had a working Linux box to ftp to ;)
Voytek's solution fits better at the moment.
Just goes to show you how much easier things are to do when you have a 
LAN & a few PCs connected to it that can do different good-stuff.

----------------------------------------------------------------------------------